# http://github.com/cenkalti/backoff
%global goipath         github.com/cenkalti/backoff
%global gcommit         2ea60e5f094469f9e65adb9cd103795b73ae743e
Version:                2.0.0

%gometa -i

Name:           %{goname}
Release:        3%{?dist}
Summary:        The exponential backoff algorithm in Go
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.lock
Source2:        glide.yaml

%description
%{summary}

%package devel
Summary:       %{summary}
BuildArch:     noarch

BuildRequires: golang(golang.org/x/net/context)

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.

%prep
%gosetup -q
cp %{SOURCE1} %{SOURCE2} .

%install
%goinstall glide.lock glide.yaml

%check
%gochecks

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files devel -f devel.file-list
%license LICENSE
%doc README.md

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - Forge-specific packaging variables
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 02 2018 Jan Chaloupka <jchaloup@redhat.com>
- Regen glide files

* Mon Jun 25 2018 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.0-1
- Update to v2.0.0

* Sat Jun 09 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.1.0-0.4.git61153c7
- Upload glide.lock and glide.yaml

* Wed Feb 28 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.1.0-0.3.20170711git61153c7
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-0.2.git61153c7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Nov 27 2017 Jan Chaloupka <jchaloup@redhat.com> - 1.1.0-0.1.git61153c7
- Update to v1.1.0
  resolves: #1517147

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.git9831e1e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.git9831e1e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.7.git9831e1e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.git9831e1e
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.git9831e1e
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4.git9831e1e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Sep 12 2015 jchaloup <jchaloup@redhat.com> - 0-0.3.git9831e1e
- Update to spec-2.1
  related: #1248129

* Wed Jul 29 2015 jchaloup <jchaloup@redhat.com> - 0-0.2.git9831e1e
- Update of spec file to spec-2.0
  resolves: #1248129

* Thu Apr 16 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git9831e1e
- First package for Fedora
  resolves: #1214808

